Package fr.gouv.vitam.batch.report.model

# Class OperationSummary

java.lang.Object
fr.gouv.vitam.batch.report.model.OperationSummary

public class OperationSummary extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationSummary()`
  `OperationSummary(Integer tenant, String evId, String evType, String outcome, String outDetail, String outMsg, com.fasterxml.jackson.databind.JsonNode rSI, com.fasterxml.jackson.databind.JsonNode evDetData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonNode`
  `getEvDetData()`
  `String`
  `getEvId()`
  `String`
  `getEvType()`
  `String`
  `getOutcome()`
  `String`
  `getOutDetail()`
  `String`
  `getOutMsg()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getRightsStatementIdentifier()`
  `Integer`
  `getTenant()`
  `void`
  `setEvDetData(com.fasterxml.jackson.databind.JsonNode evDetData)`
  `void`
  `setEvId(String evId)`
  `void`
  `setEvType(String evType)`
  `void`
  `setOutcome(String outcome)`
  `void`
  `setOutDetail(String outDetail)`
  `void`
  `setOutMsg(String outMsg)`
  `void`
  `setRightsStatementIdentifier(com.fasterxml.jackson.databind.JsonNode rightsStatementIdentifier)`
  `void`
  `setTenant(Integer tenant)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OperationSummary

    public OperationSummary()

  - ### OperationSummary

    public OperationSummary(Integer tenant, String evId, String evType, String outcome, String outDetail, String outMsg, com.fasterxml.jackson.databind.JsonNode rSI, com.fasterxml.jackson.databind.JsonNode evDetData)

- ## Method Details

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getEvId

    public String getEvId()

  - ### setEvId

    public void setEvId(String evId)

  - ### getEvType

    public String getEvType()

  - ### setEvType

    public void setEvType(String evType)

  - ### getOutcome

    public String getOutcome()

  - ### setOutcome

    public void setOutcome(String outcome)

  - ### getOutDetail

    public String getOutDetail()

  - ### setOutDetail

    public void setOutDetail(String outDetail)

  - ### getOutMsg

    public String getOutMsg()

  - ### setOutMsg

    public void setOutMsg(String outMsg)

  - ### getRightsStatementIdentifier

    public com.fasterxml.jackson.databind.JsonNode getRightsStatementIdentifier()

  - ### setRightsStatementIdentifier

    public void setRightsStatementIdentifier(com.fasterxml.jackson.databind.JsonNode rightsStatementIdentifier)

  - ### getEvDetData

    public com.fasterxml.jackson.databind.JsonNode getEvDetData()

  - ### setEvDetData

    public void setEvDetData(com.fasterxml.jackson.databind.JsonNode evDetData)